Bug 8716 - unable to update inside vserver: Operation not permitted
: unable to update inside vserver: Operation not permitted
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/kernel-image-vs26-smp)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-12-23 15:52 by
Modified: 2008-03-06 18:52 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-12-23 15:52:03
При обновлении пакета в vserver 
error: unpacking of archive failed on file /proc: cpio: chown failed - 
Operation not permitted 
Может его как-нибудь в %post делать?
------- Comment #1 From 2005-12-23 16:30:43 -------
Это уже было... в новом vserver с новыми утилитами вроде как не
воспроизводится.
------- Comment #2 From 2006-01-13 16:11:17 -------
Переоткройте, если всплывёт.
------- Comment #3 From 2006-01-13 16:41:35 -------
Всплыло с *vserver-0.30.209-alt1 
------- Comment #4 From 2006-01-21 11:24:48 -------
Вообще и со старым бы починить неплохо... Обновлять vserver иногда страшно, 
нужна более весомая причина, чем неустанавливающийся filеsystem... 
------- Comment #5 From 2006-01-21 15:44:52 -------
Я так и не понял, что именно вы предлагаете фиксить.
По моему, если ядро не даёт поставить пакет filesystem, то надо фиксить это
привиредливое ядро.
------- Comment #6 From 2006-01-23 18:36:20 -------
 (In reply to comment #5) 
> Я так и не понял, что именно вы предлагаете фиксить. 
Создание /proc 
 
> По моему, если ядро не даёт поставить пакет filesystem, то надо фиксить это 
> привиредливое ядро. 
Тогда перевешивай на виновный пакет 
 
------- Comment #7 From 2006-06-24 02:55:26 -------
Проверил на openvz - работает.
Перевешиваю на vserver.
------- Comment #8 From 2006-09-27 13:06:58 -------
IMCO такие пакеты, как filesystem и dev, в vserver по факту проще обновлять
методом rpm --justdb /path/to/that.rpm, или поставить на hold.

Бишь в данном разе это данность (tradeoff) и WONTFIX, как мне кажется.  Как и
#8898.
------- Comment #9 From 2006-09-27 14:15:36 -------
Проще зафиксить vserver патч, чтобы он не давал -EPERM по-дубовому, а просто
молча ингнорировал данное действие, как это делается в OpenVZ.
------- Comment #10 From 2008-02-15 20:53:33 -------
apparently wontfix